Loading...
Searching...
No Matches
Ogre::Bullet::DebugDrawer Class Reference
Optional Components » Bullet

`#include <OgreBullet.h>`

Inheritance diagram for Ogre::Bullet::DebugDrawer:
[legend]

## Public Member Functions

| DebugDrawer (SceneNode *node, btCollisionWorld *world)
void | clear ()
void | draw3dText (const btVector3 &location, const char *textString) override
void | drawContactPoint (const btVector3 &PointOnB, const btVector3 &normalOnB, btScalar distance, int lifeTime, const btVector3 &color) override
void | drawLine (const btVector3 &from, const btVector3 &to, const btVector3 &color) override
int | getDebugMode () const override
void | reportErrorWarning (const char *warningString) override
void | setDebugMode (int mode) override
void | update ()

## Constructor & Destructor Documentation

## DebugDrawer()

Ogre::Bullet::DebugDrawer::DebugDrawer | ( | SceneNode * | node,
|  | btCollisionWorld * | world )

inline

## Member Function Documentation

## update()

void Ogre::Bullet::DebugDrawer::update | ( |  | ) |

inline

## drawLine()

void Ogre::Bullet::DebugDrawer::drawLine | ( | const btVector3 & | from,
|  | const btVector3 & | to,
|  | const btVector3 & | color )

override

Referenced by drawContactPoint().

## drawContactPoint()

void Ogre::Bullet::DebugDrawer::drawContactPoint | ( | const btVector3 & | PointOnB,
|  | const btVector3 & | normalOnB,
|  | btScalar | distance,
|  | int | lifeTime,
|  | const btVector3 & | color )

inline override

References drawLine().

## reportErrorWarning()

void Ogre::Bullet::DebugDrawer::reportErrorWarning | ( | const char * | warningString | ) |

inline override

References Ogre::LogManager::getSingleton().

## draw3dText()

void Ogre::Bullet::DebugDrawer::draw3dText | ( | const btVector3 & | location,
|  | const char * | textString )

inline override

## setDebugMode()

void Ogre::Bullet::DebugDrawer::setDebugMode | ( | int | mode | ) |

inline override

References clear().

## clear()

void Ogre::Bullet::DebugDrawer::clear | ( |  | ) |

inline

Referenced by setDebugMode().

## getDebugMode()

int Ogre::Bullet::DebugDrawer::getDebugMode | ( |  | ) | const

inline override

The documentation for this class was generated from the following file:

- OgreBullet.h